---
title: How to render LaTeX formula in Pelican
date: 2022-06-14
lastmod: 2022-06-14
tags: [math, latex, pelican]
slug: rendering-latex-pelican
author: Samuel Ortion
lang: en
---

Rendering $\LaTeX$ formulas in Pelican is easy.

Firstly import the pelican plugin in the proper python environment:

```bash
pip install pelican-render-math
```

Add `render_math` to PLUGINS list in your `pelicanconf.py` file:

```python
PLUGINS = ['render_math']
```

Then type formula in your blog post markdown documents:


```tex
$$
\frac{1}{2}
$$
```
$$
\frac{1}{2}
$$

And that's it !

