---
title: 'Astuce: Copier du texte dans le presse-papier depuis un terminal Linux'
date: 2023-02-05
lastmod: 2023-02-05
tags: [tip]
slug: xclip-clipboard-depuis-terminal
author: Samuel Ortion
---

Il suffit d'installer `xclip`:

```bash
sudo dnf install xclip # sur fedora par exemple
```

Puis, c'est tout simple:

```bash
echo "Coucou !" | xclip -selection c
```

Un exemple d'utilisation: copier une clé publique ssh dans le presse papier depuis le terminal:

```bash
cat ~/.ssh/id_ecdsa.pub | xclip -selection c
```