---
title: 'Piège Photo Raspberry Pi avec Motion'
slug: 'piege-photo-raspberry-pi-motion'
date: 2022-10-04T22:14:23+02:00
lang: fr
---

Après avoir réalisé un piège photo avec un caméra déclenchée par un détecteur de mouvement infrarouge et Arduino, j'ai eu envie d'essayer de faire le même type de système avec un Raspberry Pi.

L'avantage de Raspberry Pi est que c'est un vrai ordinateur (pas un simple microcontrolleur comme l'ATMega de l'Arduino). De ce fait il a une plus grande capacité de calculs, et on peut se passer du PIR sensor en utilisant de l'analyse d'image pour détecter le mouvement.

J'ai donc utilisé le logiciel [Motion](https://motion-project.github.io/), qui permet de détecter le mouvement dans une vidéo, et de déclencher une action (ici la prise de vue).

## Matériel

- Raspberry Pi;
- Alimentation pour Raspberry Pi;
- Batterie externe USB (optionnel, utile pour obtenir un piège photo autonome);
- Caméra Raspberry Pi (avec sa nâpe de câblage), ou une caméra USB;
- Carte SD (avec assez de stockage pour les photos et l'OS);
- Une boîte (étanche de préférence).


